import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl'

const svg = select('svg');
// Make Bowl of Fruits
const makeFruit = type => ({ 
  type,
  id: Math.random()
});
let fruits = range(5)
	.map(() => makeFruit('apple'));
let selectedFruit = null;

const onClick = id => {
  selectedFruit = id;
  render();
}

const render = () => {
	fruitBowl(svg, {
  	fruits,
    height: +svg.attr('height'),
    onClick,
    selectedFruit
  });
};
// first time render of fruit bowl
render();

// Eat an apple.
setTimeout(() => {
  fruits.pop();
  render();
}, 1000)

// Replacing an apple with a lemon
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000)

// Eat another apple.
setTimeout(() => {
  fruits = fruits.filter((d,i) => i !== 1);
  render();
}, 3000)
